const MAXN = 100000;
var i,j:integer;
    
begin
  randseed:=214789;
  writeln(MAXN);
  for i:=1 to MAXN do begin
    for j:=1 to 30 do 
      write(chr(random(26)+ord('A')));
    writeln;
  end;
end.